package com.xc.utils.task.websocket;

import com.xc.utils.websocket.WsClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


@Component
public class pingpongTask {
    private static final Logger log = LoggerFactory.getLogger(pingpongTask.class);




        /*
        检测是否在线
         */
    @Scheduled(cron = "0/30 * * * * ? ")
    public void sendPing() {
        WsClient.getThis().sendWsPing();
    }

}

